Bug 241189 - lang/php-mode.el: Add upstream patch to fix error with recent snapshot of Emacs
Summary: lang/php-mode.el: Add upstream patch to fix error with recent snapshot of Emacs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL: https://github.com/emacs-php/php-mode...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-10 22:29 UTC by Yasuhiro KIMURA
Modified: 2019-10-28 00:37 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (3.28 KB, patch)
2019-10-10 22:29 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff
Updated patch file (3.52 KB, patch)
2019-10-13 15:35 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-10-10 22:29:16 UTC
Created attachment 208236 [details]
Patch file

Add upstream patch to fix error with recent snapshot of Emacs.
Comment 1 Yasuhiro KIMURA 2019-10-13 15:35:43 UTC
Created attachment 208280 [details]
Updated patch file

Update patch to make it fit to latest ports tree. So please commit attached patch instead of original onw.
Comment 2 Koichiro Iwao freebsd_committer 2019-10-21 05:09:37 UTC
testbuild@work
Comment 3 Yasuhiro KIMURA 2019-10-27 22:29:10 UTC
(In reply to Koichiro Iwao from comment #2)

Hello,

Would you mind my asking current status of this bug report?

Best Regards.
Comment 4 Koichiro Iwao freebsd_committer 2019-10-28 00:09:19 UTC
(In reply to Yasuhiro KIMURA from comment #3)
It looks to be working properly, will commit shortly.
Comment 5 commit-hook freebsd_committer 2019-10-28 00:16:39 UTC
A commit references this bug:

Author: meta
Date: Mon Oct 28 00:15:51 UTC 2019
New revision: 515840
URL: https://svnweb.freebsd.org/changeset/ports/515840

Log:
  lang/php-mode.el: backport from upstream to fix error with recent snapshot of Emacs

  PR:		241189
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org> (maintainer)
  Obtained from:	https://github.com/emacs-php/php-mode/pull/580

Changes:
  head/lang/php-mode.el/Makefile
  head/lang/php-mode.el/files/patch-75d3ee1ead7557175e6aeb2ad8efdd73ee3c9332
Comment 6 Koichiro Iwao freebsd_committer 2019-10-28 00:36:44 UTC
Committed,, thanks!